"use client";

import { Box } from "@chakra-ui/react";
import { SearchParamProps } from "@/types/searchParams";
import { useEffect, useState } from "react";
import { getStorage } from "@/utils/navigation";
import KycForm from "../components/form";

const Page = ({ searchParams }: SearchParamProps) => {
  const [draftDetail, setDraftDetail] = useState<any>(null);

  useEffect(() => {
    const getDraftDetail = async () => {
      const storedData = await getStorage("draft-kycs");
      const data = storedData?.find(
        (item: { id: string }) => item?.id == searchParams.id
      );
      setDraftDetail(data);
    };
    getDraftDetail();
  }, []);

  return (
    <>
      <Box pt={{ base: "130px", md: "80px", xl: "80px" }} mb="20px">
        {draftDetail && <KycForm data={draftDetail} draft={true} />}
      </Box>
    </>
  );
};
export default Page;
